--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -9249,31 +10985,20 @@
 		1186 1301  DFE-530TX+ 10/100 Ethernet Adapter
 		1186 1303  DFE-528TX 10/100 Fast Ethernet PCI Adapter
 	1340  DFE-690TXD CardBus PC Card
-	1405  DFE-520TX Fast Ethernet PCI Adapter
 	1540  DFE-680TX
 	1541  DFE-680TXD CardBus PC Card
 	1561  DRP-32TXD Cardbus PC Card
 	3300  DWL-510 / DWL-610 802.11b [Realtek RTL8180L]
 		1186 3300  DWL-610 Wireless Cardbus Adapter
 		1186 3301  DWL-510 Wireless PCI Adapter
-	3a03  AirPro DWL-A650 Wireless Cardbus Adapter(rev.B)
-	3a04  AirPro DWL-AB650 Multimode Wireless Cardbus Adapter
-	3a05  AirPro DWL-AB520 Multimode Wireless PCI Adapter
-	3a07  AirXpert DWL-AG650 Wireless Cardbus Adapter
-	3a08  AirXpert DWL-AG520 Wireless PCI Adapter
 	3a10  AirXpert DWL-AG650 Wireless Cardbus Adapter(rev.B)
 	3a11  AirXpert DWL-AG520 Wireless PCI Adapter(rev.B)
-	3a12  AirPlus DWL-G650 Wireless Cardbus Adapter(rev.C)
-	3a63  AirXpert DWL-AG660 Wireless Cardbus Adapter
-	3a70  DWA-556 Xtreme N PCI Express Desktop Adapter
-	3c00  D-link DWL-G650X
-	3c09  AirPlus G DWL-G510
 	4000  DL2000-based Gigabit Ethernet
 	4001  DGE-550SX PCI-X Gigabit Ethernet Adapter
 	4300  DGE-528T Gigabit Ethernet Adapter
+# rev. B1; RealTek RTL8168E.
+		1186 4b10  DGE-560T PCI Express (x1) Gigabit Ethernet Adapter
 	4302  DGE-530T Gigabit Ethernet Adapter (rev.C1) [Realtek RTL8169]
-# There are at least 3 revisions of this adapter; 4800 is board revision A1 as far as I can tell, revision B1 is 4c00.
-	4800  DGE-530T Gigabit Ethernet Adapter (rev 11)
 	4b00  DGE-560T PCI Express Gigabit Ethernet Adapter
 	4b01  DGE-530T Gigabit Ethernet Adapter (rev 11)
 	4b02  DGE-560SX PCI Express Gigabit Ethernet Adapter
@@ -9384,6 +11109,8 @@
 	2a01  88W8335 [Libertas] 802.11b/g Wireless
 	2a02  88W8361 [TopDog] 802.11n Wireless
 		07d1 3b02  DIR-615 rev. A1 Mini PCI Wireless Module
+		1385 7c00  WN511T RangeMax Next 300 Mbps Wireless PC Card
+		1385 7c01  WN511T RangeMax Next 300 Mbps Wireless Notebook Adapter
 		1385 7e00  WN311T RangeMax Next 300 Mbps Wireless PCI Adapter
 		1799 801b  F5D8011 v2 802.11n N1 Wireless Notebook Card
 	2a08  88W8362e [TopDog] 802.11a/b/g/n Wireless
@@ -9463,6 +11190,7 @@
 	4353  88E8039 PCI-E Fast Ethernet Controller
 		104d 902d  VAIO VGN-NR120E
 	4354  88E8040 PCI-E Fast Ethernet Controller
+		144d c072  Notebook N150P
 	4355  88E8040T PCI-E Fast Ethernet Controller
 		1179 ff50  Satellite P305D-S8995E
 	4356  88EC033 PCI-E Fast Ethernet Controller
@@ -9524,6 +11252,7 @@
 		a0a0 0506  Marvell 88E8053 Gigabit Ethernet Controller (Aopen)
 	4363  88E8055 PCI-E Gigabit Ethernet Controller
 	4364  88E8056 PCI-E Gigabit Ethernet Controller
+		1043 81f8  Motherboard
 		11ba 00ba  8056 Gigabit Ethernet Controller
 	4365  88E8070 based Ethernet Controller
 	4366  88EC036 PCI-E Gigabit Ethernet Controller
@@ -9554,8 +11283,9 @@
 	6042  88SX6042 PCI-X 4-Port SATA-II
 	6081  MV88SX6081 8-port SATA II PCI-X Controller
 	6101  88SE6101/6102 single-port PATA133 interface
+		1043 82e0  P5K PRO Motherboard
 	6111  88SE6111 1-port PATA133(IDE) and 1-port SATA II Controllers
-	6121  88SE6121 SATA II Controller
+	6121  88SE6121 SATA II / PATA Controller
 	6141  88SE614x SATA II PCI-E controller
 	6145  88SE6145 SATA II PCI-E controller
 	6180  88F6180 [Kirkwood] ARM SoC
@@ -9735,22 +11465,23 @@
 # InPorte Home Internal 56k Modem/fax/answering machine/SMS Features
 	048f  V.92 56k WinModem
 	0620  Lucent V.92 Data/Fax Modem
-	1040  HDA softmodem
 	2600  StarPro26XX family (SP2601, SP2603, SP2612) DSP
-	3026  HDA Modem
 	5400  OR3TP12 FPSC
 	5656  Venus Modem
 	5801  USB
 	5802  USS-312 USB Controller
 	5803  USS-344S USB Controller
-	5811  FW322/323
-		1043 8294  IEEE 1394a Firewire Controller
+	5811  FW322/323 [TrueFire] 1394a Controller
+		103c 2a34  Pavilion a1677c
+		103c 2a9e  Pavilion p6310f
+		1043 8294  LSI FW322/323 IEEE 1394a FireWire Controller
 		8086 524c  D865PERL mainboard
 		dead 0800  FireWire Host Bus Adapter
-	5901  FW643 PCI Express 1394b Controller (PHY/Link)
+	5901  FW643 [TrueFire] PCIe 1394b Controller
+		11c1 5900  FW643 [TrueFire] PCIe 1394b Controller
 		1443 0643  FireBoard800-e V.2
-		1546 0643  FWB-PCIE1X20
-	5903  FW533 PCI Express 1394a Controller (PHY/Link)
+		1546 0643  FWB-PCIE1X2x
+	5903  FW533 [TrueFire] PCIe 1394a Controller
 	8110  T8110 H.100/H.110 TDM switch
 		12d9 000c  E1/T1 PMXc cPCI carrier card
 	ab10  WL60010 Wireless LAN MAC
@@ -9796,19 +11527,8 @@
 11d2  Intercom Inc.
 11d3  Trancell Systems Inc
 11d4  Analog Devices
-	0078  AD1986HD sound chip
 	1535  Blackfin BF535 processor
 	1805  SM56 PCI modem
-	1889  AD1889 sound chip
-	194a  AD1984A sound chip
-	1981  AD1981HD sound chip
-	1983  AD1983HD sound chip
-	1984  AD1984HD sound chip
-		17aa 20bb  T61p Notebook
-	1986  AD1986A sound chip
-		11d4 1986  Lenovo N100 B9G
-	198b  AD1988B Sound Chip
-	5340  AD1881 sound chip
 11d5  Ikon Corporation
 	0115  10115
 	0117  10117
@@ -9921,6 +11641,7 @@
 	0805  RocketPort UPCI 8 port w/octa cable
 	080c  RocketModem III 8 port
 	080d  RocketModem III 4 port
+	0810  RocketPort UPCI Plus 4 port RS232
 	0811  RocketPort UPCI Plus 8 port RS232
 	0812  RocketPort UPCI Plus 8 port RS422
 	0903  RocketPort Compact PCI 16 port w/external I/F
@@ -9976,6 +11697,7 @@
 		1179 ff50  Satellite P305D-S8995E
 	10f7  1394 OHCI Compliant Host Controller
 	11f7  OZ600 1394a-2000 Controller
+		1028 04a3  Precision M4600
 	13f7  1394 OHCI Compliant Host Controller
 	6729  OZ6729
 	673a  OZ6730
@@ -10014,7 +11736,11 @@
 	7233  OZ711MP3/MS3 4-in-1 MemoryCardBus Controller
 	8120  Integrated MMC/SD Controller
 	8130  Integrated MS/MSPRO/xD Controller
+	8320  OZ600 MMC/SD Controller
+		1028 04a3  Precision M4600
 	8321  Integrated MMC/SD controller
+	8330  OZ600 MS/xD Controller
+		1028 04a3  Precision M4600
 	8331  O2 Flash Memory Card
 1218  Hybricon Corp.
 1219  First Virtual Corporation
@@ -10206,7 +11932,8 @@
 	5201  PCI-2000
 1257  Vertex Networks, Inc.
 1258  Gilbarco, Inc.
-1259  Allied Telesyn International
+# nee Allied Telesyn International
+1259  Allied Telesis
 	2560  AT-2560 Fast Ethernet Adapter (i82557B)
 	2801  AT-2801FX (RTL-8139)
 	a117  RTL81xx Fast Ethernet
@@ -10246,6 +11973,7 @@
 		125d 1989  ESS Modem
 	1998  ES1983S Maestro-3i PCI Audio Accelerator
 		1028 00b1  Latitude C600
+		1028 00e5  Latitude C810
 		1028 00e6  ES1983S Maestro-3i (Dell Inspiron 8100)
 	1999  ES1983S Maestro-3i PCI Modem Accelerator
 	199a  ES1983S Maestro-3i PCI Audio Accelerator
@@ -10646,7 +12374,6 @@
 	0001  AceNIC Gigabit Ethernet
 		1014 0104  Gigabit Ethernet-SX PCI Adapter
 		12ae 0001  Gigabit Ethernet-SX (Universal)
-		1410 0104  Gigabit Ethernet-SX PCI Adapter
 	0002  AceNIC Gigabit Ethernet (Copper)
 		10a9 8002  Acenic Gigabit Ethernet
 		12ae 0002  Gigabit Ethernet-T (3C986-T)
@@ -10794,6 +12521,9 @@
 12d7  Biotronic SRL
 12d8  Pericom Semiconductor
 	01a7  PI7C21P100 PCI to PCI Bridge
+	400a  PI7C9X442SL PCI Express Bridge Port
+	400e  PI7C9X442SL USB OHCI Controller
+	400f  PI7C9X442SL USB EHCI Controller
 	71e2  PI7C7300A/PI7C7300D PCI-to-PCI Bridge
 	71e3  PI7C7300A/PI7C7300D PCI-to-PCI Bridge (Secondary Bus 2)
 	8140  PI7C8140A PCI-to-PCI Bridge
@@ -10803,6 +12533,7 @@
 	8154  PI7C8154A/PI7C8154B/PI7C8154BI PCI-to-PCI Bridge
 	e110  PI7C9X110 PCI Express to PCI bridge
 		1775 11cc  CC11/CL11 CompactPCI Bridge
+	e111  PI7C9X111SL PCIe-to-PCI Reversible Bridge
 	e130  PCI Express to PCI-XPI7C9X130 PCI-X Bridge
 12d9  Aculab PLC
 	0002  PCI Prosody
@@ -10961,8 +12692,10 @@
 	0067  PCI-DAS6070
 	0068  PCI-DAS6071
 	006f  PCI-DAS6036
+	0070  PCI-DAC6702
 	0078  PCI-DAS6013
 	0079  PCI-DAS6014
+	0115  PCIe-DAS1602/16
 1308  Jato Technologies Inc.
 	0001  NetCelerator Adapter
 		1308 0001  NetCelerator Adapter
@@ -11087,6 +12820,13 @@
 1343  Phylon Communications Inc
 # nee Crucial Technology
 1344  Micron Technology Inc
+	5150  RealSSD P320h
+	5151  RealSSD P320m
+	5152  RealSSD P320s
+	5153  RealSSD P325m
+	5160  RealSSD P420h
+	5161  RealSSD P420m
+	5163  RealSSD P425m
 1345  Arescom Inc
 1347  Odetics
 1349  Sumitomo Electric Industries, Ltd.
@@ -11112,7 +12852,8 @@
 134f  Algo System Co Ltd
 1350  Systec Co. Ltd
 1351  Sonix Inc
-1353  Thales Idatys
+# nee Thales Idatys
+1353  Vierling Communication SAS
 	0002  Proserver
 	0003  PCI-FUT
 	0004  PCI-S0
@@ -11270,26 +13011,16 @@
 1385  Netgear
 	006b  WA301 802.11b Wireless PCI Adapter
 	4100  MA301 802.11b Wireless PCI Adapter
-	4105  MA311 802.11b Wireless PCI Adapter
-	4400  WAG511 802.11a/b/g Dual Band Wireless PC Card
-	4600  WAG511 802.11a/b/g Dual Band Wireless PC Card
 	4601  WAG511 802.11a/b/g Dual Band Wireless PC Card
-	4610  WAG511 802.11a/b/g Dual Band Wireless PC Card
-	4a00  WAG311 802.11a/g Wireless PCI Adapter
-	5200  GA511 Gigabit PC Card
 	620a  GA620 Gigabit Ethernet
 	630a  GA630 Gigabit Ethernet
-	6d00  WPNT511 RangeMax 240 Mbps Wireless PC Card
-	7b00  WN511B RangeMax Next 270 Mbps Wireless PC Card
-	7c00  WN511T RangeMax Next 300 Mbps Wireless PC Card
-	f004  FA310TX
-	f312  FA312 REV-A1 Fast Ethernet PCI Adapter
 1386  Video Domain Technologies
 1387  Systran Corp
 1388  Hitachi Information Technology Co Ltd
 1389  Applicom International
 	0001  PCI1500PFB [Intelligent fieldbus adaptor]
 138a  Fusion Micromedia Corp
+	003d  VFS491 Validity Sensor
 138b  Tokimec Inc
 138c  Silicon Reality
 138d  Future Techno Designs pte Ltd
@@ -11537,7 +13268,7 @@
 		13f6 ffff  CMI8338/C3DX PCI Audio Device
 	0101  CM8338B
 		13f6 0101  CMI8338-031 PCI Audio Device
-	0111  CM8738
+	0111  CMI8738/CMI8768 PCI Audio
 		1019 0970  P6STP-FL motherboard
 		1043 8035  CUSI-FX motherboard
 		1043 8077  CMI8738 6-channel audio controller
@@ -11547,6 +13278,9 @@
 		153b 1144  Aureon 5.1
 		153b 1170  Aureon 7.1
 		1681 a000  Gamesurround MUSE XL
+		17ab 0604  PSC604 Dynamic Edge
+		17ab 0605  PSC605 Sonic Edge
+		17ab 7777  PSC605 Sonic Edge
 		270f 1103  CT-7NJS Ultra motherboard
 		270f f462  7NJL1 motherboard
 		584d 3731  Digital X-Mystique
@@ -11556,6 +13290,8 @@
 		584d 3771  X-Mystique 7.1 LP Value
 		7284 8384  Striker 7.1
 	0211  CM8738
+	5011  CM8888 [Oxygen Express]
+		13f6 5011  HDA Controller
 	8788  CMI8788 [Oxygen HD Audio]
 		1043 8269  Virtuoso 200 (Xonar D2)
 		1043 8275  Virtuoso 100 (Xonar DX)
@@ -11580,7 +13316,7 @@
 		7284 9761  CLARO
 		7284 9781  CLARO halo
 		7284 9783  eCLARO
-	9880  CM9880
+		7284 9787  CLARO II
 13f7  Wildfire Communications
 13f8  Ad Lib Multimedia Inc
 13f9  NTT Advanced Technology Corp.
@@ -11767,6 +13503,7 @@
 		153b 1151  PHASE88
 		16ce 1040  Edirol DA-2496
 	1724  VT1720/24 [Envy24PT/HT] PCI Multi-Channel Audio Controller
+		10b0 0200  Hollywood@Home 7.1
 		1412 1724  Albatron PX865PE 7.1
 		1412 3630  M-Audio Revolution 7.1
 		1412 3631  M-Audio Revolution 5.1
@@ -11821,6 +13558,9 @@
 	9513  OX16PCI954 (Quad 16950 UART) function 1 (parallel port)
 	9521  OX16PCI952 (Dual 16950 UART)
 	9523  OX16PCI952 Integrated Parallel Port
+	c158  OXPCIe952 Dual 16C950 UART
+		e4bf c504  CP4-SCAT Wireless Technologies Carrier Board
+		e4bf d551  DU1-MUSTANG Dual-Port RS-485 Interface
 	c308  EX-44016 16-port serial
 1416  Multiwave Innovation pte Ltd
 1417  Convergenet Technologies Inc
@@ -11861,8 +13601,19 @@
 	4008  T420-CX Unified Wire Ethernet Controller
 	4009  T420-BT Unified Wire Ethernet Controller
 	400a  T404-BT Unified Wire Ethernet Controller
+	400b  B420-SR Unified Wire Ethernet Controller
+	400c  B404-BT Unified Wire Ethernet Controller
 	400d  T480 Unified Wire Ethernet Controller
 	400e  T440-LP-CR Unified Wire Ethernet Controller
+	400f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4080  T480-4080 T480 Unified Wire Ethernet Controller
+	4081  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4082  T420-4082  Unified Wire Ethernet Controller
+	4083  T420X-4083 Unified Wire Ethernet Controller
+	4084  T420-4084 Unified Wire Ethernet Controller
+	4085  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4086  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4087  T440T-4087 Unified Wire Ethernet Controller
 	4401  T420-CR Unified Wire Ethernet Controller
 	4402  T422-CR Unified Wire Ethernet Controller
 	4403  T440-CR Unified Wire Ethernet Controller
@@ -11873,8 +13624,19 @@
 	4408  T420-CX Unified Wire Ethernet Controller
 	4409  T420-BT Unified Wire Ethernet Controller
 	440a  T404-BT Unified Wire Ethernet Controller
+	440b  B420-SR Unified Wire Ethernet Controller
+	440c  B404-BT Unified Wire Ethernet Controller
 	440d  T480 Unified Wire Ethernet Controller
 	440e  T440-LP-CR Unified Wire Ethernet Controller
+	440f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4480  T480-4080 T480 Unified Wire Ethernet Controller
+	4481  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4482  T420-4082  Unified Wire Ethernet Controller
+	4483  T420X-4083 Unified Wire Ethernet Controller
+	4484  T420-4084 Unified Wire Ethernet Controller
+	4485  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4486  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4487  T440T-4087 Unified Wire Ethernet Controller
 	4501  T420-CR Unified Wire Storage Controller
 	4502  T422-CR Unified Wire Storage Controller
 	4503  T440-CR Unified Wire Storage Controller
@@ -11885,8 +13647,19 @@
 	4508  T420-CX Unified Wire Storage Controller
 	4509  T420-BT Unified Wire Storage Controller
 	450a  T404-BT Unified Wire Storage Controller
+	450b  B420-SR Unified Wire Storage Controller
+	450c  B404-BT Unified Wire Storage Controller
 	450d  T480 Unified Wire Storage Controller
 	450e  T440-LP-CR Unified Wire Storage Controller
+	450f  T440 [Amsterdam] Unified Wire Storage Controller
+	4580  T480-4080 T480 Unified Wire Storage Controller
+	4581  T440F-4081 T440-FCoE Unified Wire Storage Controller
+	4582  T420-4082  Unified Wire Storage Controller
+	4583  T420X-4083 Unified Wire Storage Controller
+	4584  T420-4084 Unified Wire Storage Controller
+	4585  T420-4085 SFP+ Unified Wire Storage Controller
+	4586  T440-4086 10Gbase-T Unified Wire Storage Controller
+	4587  T440T-4087 Unified Wire Storage Controller
 	4601  T420-CR Unified Wire Storage Controller
 	4602  T422-CR Unified Wire Storage Controller
 	4603  T440-CR Unified Wire Storage Controller
@@ -11897,8 +13670,19 @@
 	4608  T420-CX Unified Wire Storage Controller
 	4609  T420-BT Unified Wire Storage Controller
 	460a  T404-BT Unified Wire Storage Controller
+	460b  B420-SR Unified Wire Storage Controller
+	460c  B404-BT Unified Wire Storage Controller
 	460d  T480 Unified Wire Storage Controller
 	460e  T440-LP-CR Unified Wire Storage Controller
+	460f  T440 [Amsterdam] Unified Wire Storage Controller
+	4680  T480-4080 T480 Unified Wire Storage Controller
+	4681  T440F-4081 T440-FCoE Unified Wire Storage Controller
+	4682  T420-4082  Unified Wire Storage Controller
+	4683  T420X-4083 Unified Wire Storage Controller
+	4684  T420-4084 Unified Wire Storage Controller
+	4685  T420-4085 SFP+ Unified Wire Storage Controller
+	4686  T440-4086 10Gbase-T Unified Wire Storage Controller
+	4687  T440T-4087 Unified Wire Storage Controller
 	4701  T420-CR Unified Wire Ethernet Controller
 	4702  T422-CR Unified Wire Ethernet Controller
 	4703  T440-CR Unified Wire Ethernet Controller
@@ -11909,8 +13693,19 @@
 	4708  T420-CX Unified Wire Ethernet Controller
 	4709  T420-BT Unified Wire Ethernet Controller
 	470a  T404-BT Unified Wire Ethernet Controller
+	470b  B420-SR Unified Wire Ethernet Controller
+	470c  B404-BT Unified Wire Ethernet Controller
 	470d  T480 Unified Wire Ethernet Controller
 	470e  T440-LP-CR Unified Wire Ethernet Controller
+	470f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4780  T480-4080 T480 Unified Wire Ethernet Controller
+	4781  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4782  T420-4082  Unified Wire Ethernet Controller
+	4783  T420X-4083 Unified Wire Ethernet Controller
+	4784  T420-4084 Unified Wire Ethernet Controller
+	4785  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4786  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4787  T440T-4087 Unified Wire Ethernet Controller
 	4801  T420-CR Unified Wire Ethernet Controller
 	4802  T422-CR Unified Wire Ethernet Controller
 	4803  T440-CR Unified Wire Ethernet Controller
@@ -11921,8 +13716,133 @@
 	4808  T420-CX Unified Wire Ethernet Controller
 	4809  T420-BT Unified Wire Ethernet Controller
 	480a  T404-BT Unified Wire Ethernet Controller
+	480b  B420-SR Unified Wire Ethernet Controller
+	480c  B404-BT Unified Wire Ethernet Controller
 	480d  T480 Unified Wire Ethernet Controller
 	480e  T440-LP-CR Unified Wire Ethernet Controller
+	480f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4880  T480-4080 T480 Unified Wire Ethernet Controller
+	4881  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4882  T420-4082  Unified Wire Ethernet Controller
+	4883  T420X-4083 Unified Wire Ethernet Controller
+	4884  T420-4084 Unified Wire Ethernet Controller
+	4885  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4886  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4887  T440T-4087 Unified Wire Ethernet Controller
+	5001  T520-CR Unified Wire Ethernet Controller
+	5002  T522-CR Unified Wire Ethernet Controller
+	5003  T540-CR Unified Wire Ethernet Controller
+	5004  T520-BCH Unified Wire Ethernet Controller
+	5005  T540-BCH Unified Wire Ethernet Controller
+	5006  T540-CH Unified Wire Ethernet Controller
+	5007  T520-SO Unified Wire Ethernet Controller
+	5008  T520-CX Unified Wire Ethernet Controller
+	5009  T520-BT Unified Wire Ethernet Controller
+	500a  T504-BT Unified Wire Ethernet Controller
+	500b  B520-SR Unified Wire Ethernet Controller
+	500c  B504-BT Unified Wire Ethernet Controller
+	500d  T580-CR Unified Wire Ethernet Controller
+	500e  T540-LP-CR Unified Wire Ethernet Controller
+	500f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5010  T580-LP-CR Unified Wire Ethernet Controller
+	5011  T520-LL-CR Unified Wire Ethernet Controller
+	5012  T560-CR Unified Wire Ethernet Controller
+	5013  T580-CR Unified Wire Ethernet Controller
+	5401  T520-CR Unified Wire Ethernet Controller
+	5402  T522-CR Unified Wire Ethernet Controller
+	5403  T540-CR Unified Wire Ethernet Controller
+	5404  T520-BCH Unified Wire Ethernet Controller
+	5405  T540-BCH Unified Wire Ethernet Controller
+	5406  T540-CH Unified Wire Ethernet Controller
+	5407  T520-SO Unified Wire Ethernet Controller
+	5408  T520-CX Unified Wire Ethernet Controller
+	5409  T520-BT Unified Wire Ethernet Controller
+	540a  T504-BT Unified Wire Ethernet Controller
+	540b  B520-SR Unified Wire Ethernet Controller
+	540c  B504-BT Unified Wire Ethernet Controller
+	540d  T580-CR Unified Wire Ethernet Controller
+	540e  T540-LP-CR Unified Wire Ethernet Controller
+	540f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5410  T580-LP-CR Unified Wire Ethernet Controller
+	5411  T520-LL-CR Unified Wire Ethernet Controller
+	5412  T560-CR Unified Wire Ethernet Controller
+	5413  T580-CR Unified Wire Ethernet Controller
+	5501  T520-CR Unified Wire Storage Controller
+	5502  T522-CR Unified Wire Storage Controller
+	5503  T540-CR Unified Wire Storage Controller
+	5504  T520-BCH Unified Wire Storage Controller
+	5505  T540-BCH Unified Wire Storage Controller
+	5506  T540-CH Unified Wire Storage Controller
+	5507  T520-SO Unified Wire Storage Controller
+	5508  T520-CX Unified Wire Storage Controller
+	5509  T520-BT Unified Wire Storage Controller
+	550a  T504-BT Unified Wire Storage Controller
+	550b  B520-SR Unified Wire Storage Controller
+	550c  B504-BT Unified Wire Storage Controller
+	550d  T580-CR Unified Wire Storage Controller
+	550e  T540-LP-CR Unified Wire Storage Controller
+	550f  T540 [Amsterdam] Unified Wire Storage Controller
+	5510  T580-LP-CR Unified Wire Storage Controller
+	5511  T520-LL-CR Unified Wire Storage Controller
+	5512  T560-CR Unified Wire Storage Controller
+	5513  T580-CR Unified Wire Storage Controller
+	5601  T520-CR Unified Wire Storage Controller
+	5602  T522-CR Unified Wire Storage Controller
+	5603  T540-CR Unified Wire Storage Controller
+	5604  T520-BCH Unified Wire Storage Controller
+	5605  T540-BCH Unified Wire Storage Controller
+	5606  T540-CH Unified Wire Storage Controller
+	5607  T520-SO Unified Wire Storage Controller
+	5608  T520-CX Unified Wire Storage Controller
+	5609  T520-BT Unified Wire Storage Controller
+	560a  T504-BT Unified Wire Storage Controller
+	560b  B520-SR Unified Wire Storage Controller
+	560c  B504-BT Unified Wire Storage Controller
+	560d  T580-CR Unified Wire Storage Controller
+	560e  T540-LP-CR Unified Wire Storage Controller
+	560f  T540 [Amsterdam] Unified Wire Storage Controller
+	5610  T580-LP-CR Unified Wire Storage Controller
+	5611  T520-LL-CR Unified Wire Storage Controller
+	5612  T560-CR Unified Wire Storage Controller
+	5613  T580-CR Unified Wire Storage Controller
+	5701  T520-CR Unified Wire Ethernet Controller
+	5702  T522-CR Unified Wire Ethernet Controller
+	5703  T540-CR Unified Wire Ethernet Controller
+	5704  T520-BCH Unified Wire Ethernet Controller
+	5705  T540-BCH Unified Wire Ethernet Controller
+	5706  T540-CH Unified Wire Ethernet Controller
+	5707  T520-SO Unified Wire Ethernet Controller
+	5708  T520-CX Unified Wire Ethernet Controller
+	5709  T520-BT Unified Wire Ethernet Controller
+	570a  T504-BT Unified Wire Ethernet Controller
+	570b  B520-SR Unified Wire Ethernet Controller
+	570c  B504-BT Unified Wire Ethernet Controller
+	570d  T580-CR Unified Wire Ethernet Controller
+	570e  T540-LP-CR Unified Wire Ethernet Controller
+	570f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5710  T580-LP-CR Unified Wire Ethernet Controller
+	5711  T520-LL-CR Unified Wire Ethernet Controller
+	5712  T560-CR Unified Wire Ethernet Controller
+	5713  T580-CR Unified Wire Ethernet Controller
+	5801  T520-CR Unified Wire Ethernet Controller
+	5802  T522-CR Unified Wire Ethernet Controller
+	5803  T540-CR Unified Wire Ethernet Controller
+	5804  T520-BCH Unified Wire Ethernet Controller
+	5805  T540-BCH Unified Wire Ethernet Controller
+	5806  T540-CH Unified Wire Ethernet Controller
+	5807  T520-SO Unified Wire Ethernet Controller
+	5808  T520-CX Unified Wire Ethernet Controller
+	5809  T520-BT Unified Wire Ethernet Controller
+	580a  T504-BT Unified Wire Ethernet Controller
+	580b  B520-SR Unified Wire Ethernet Controller
+	580c  B504-BT Unified Wire Ethernet Controller
+	580d  T580-CR Unified Wire Ethernet Controller
+	580e  T540-LP-CR Unified Wire Ethernet Controller
+	580f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5810  T580-LP-CR Unified Wire Ethernet Controller
+	5811  T520-LL-CR Unified Wire Ethernet Controller
+	5812  T560-CR Unified Wire Ethernet Controller
+	5813  T580-CR Unified Wire Ethernet Controller
 	a000  PE10K Unified Wire Ethernet Controller
 1426  Storage Technology Corp.
 1427  Better On-Line Solutions
@@ -11990,8 +13910,6 @@
 144b  Verint Systems Inc.
 144c  Catalina Research Inc
 144d  Samsung Electronics Co Ltd
-	c00c  P35 laptop
-	c511  R20 Laptop
 144e  OLITEC
 144f  Askey Computer Corp.
 1450  Octave Communications Ind.
@@ -12001,9 +13919,7 @@
 1455  Logic Plus Plus Inc
 1456  Advanced Hardware Architectures
 1457  Nuera Communications Inc
-1458  Giga-byte Technology
-	9001  GC-PTV-TAF Hybrid TV card
-	e911  GN-WIAG02
+1458  Gigabyte Technology Co., Ltd
 1459  DOOIN Electronics
 145a  Escalate Networks Inc
 145b  PRAIM SRL
@@ -12020,25 +13936,6 @@
 	e836  M115S Hybrid Analog/DVB PAL/SECAM/NTSC Tuner
 	f436  AVerTV Hybrid+FM
 1462  Micro-Star International Co., Ltd.
-	5501  nVidia NV15DDR [GeForce2 Ti]
-	6819  Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller [MSI CB54G]
-	6825  PCI Card wireless 11g [PC54G]
-	6834  RaLink RT2500 802.11g [PC54G2]
-	7125  MS-7125 [K8N Neo4 Platinum]
-	7235  P965 Neo MS-7235 mainboard
-	7242  K9AGM RS485 Motherboard
-	7250  MS-7250 Motherboard [K9N Platinum SLI/non-SLI]
-	7327  K9AGM2-FIH Motherboard
-	7650  Hetis 865GV-E (MS-7065)
-	8725  NVIDIA NV25 [GeForce4 Ti 4600] VGA Adapter
-	9000  NVIDIA NV28 [GeForce4 Ti 4800] VGA Adapter
-	9110  GeFORCE FX5200
-	9119  NVIDIA NV31 [GeForce FX 5600XT] VGA Adapter
-	9123  NVIDIA NV31 [GeForce FX 5600] FX5600-VTDR128 [MS-8912]
-	9510  Radeon 9600XT
-	9511  Radeon 9600XT
-	9591  nVidia Corporation NV36 [GeForce FX 5700LE]
-	b834  Wireless 11g Turbo G PCI card [MSI PC60G]
 1463  Fast Corporation
 1464  Interactive Circuits & Systems Ltd
 1465  GN NETTEST Telecom DIV.
@@ -12083,7 +13980,7 @@
 1489  KYE Systems Corporation
 148a  OPTO
 148b  INNOMEDIALOGIC Inc.
-148c  C.P. Technology Co. Ltd
+148c  Tul Corporation / PowerColor
 148d  DIGICOM Systems, Inc.
 	1003  HCF 56k Data/Fax Modem
 148e  OSI Plus Corporation
@@ -12176,8 +14073,6 @@
 		14c1 0008  10G-PCIE-8A
 		14c1 0009  10G-PCIE-8A (MSI-X firmware)
 		14c1 000a  10G-PCIE-8B
-		14c1 000b  10G-PCIE-8B2
-		14c1 000c  10G-PCIE2-8B2
 	8043  Myrinet 2000 Scalable Cluster Interconnect
 		103c 1240  Myrinet M2L-PCI64/2-3.0 LANai 7.4 (HP OEM)
 14c2  DTK Computer
@@ -12201,7 +14096,7 @@
 	8002  VScom 020L 2 port parallel adaptor
 	8010  VScom 100L 1 port serial adaptor
 	8011  VScom 110L 1 port serial and 1 port parallel adaptor
-	8020  VScom 200L 1 port serial adaptor
+	8020  VScom 200L 1 or 2 port serial adaptor
 	8021  VScom 210L 2 port serial and 1 port parallel adaptor
 	8028  VScom 200I/200I-SI 2-port serial adapter
 	8040  VScom 400L 4 port serial adaptor
@@ -12270,6 +14165,7 @@
 		1028 01c2  Latitude D620
 		103c 3015  PCIe LAN on Motherboard
 		107b 5048  E4500 Onboard
+		1259 2705  AT-2711FX
 	1601  NetXtreme BCM5752M Gigabit Ethernet PCI Express
 	1612  BCM70012 Video Decoder [Crystal HD]
 	1615  BCM70015 Video Decoder [Crystal HD]
@@ -12285,11 +14181,18 @@
 		1028 029c  PowerEdge M710 BCM5709S Gigabit Ethernet
 		103c 171d  NC382m Dual Port 1GbE Multifunction BL-c Adapter
 		103c 7056  NC382i Integrated Quad Port PCI Express Gigabit Server Adapter
+		1259 2984  AT-2973SX
 	163b  NetXtreme II BCM5716 Gigabit Ethernet
 		1028 028c  PowerEdge R410 BCM5716 Gigabit Ethernet
 		1028 028d  PowerEdge T410 BCM5716 Gigabit Ethernet
 		1028 02f1  PowerEdge R510 BCM5716 Gigabit Ethernet
 	163c  NetXtreme II BCM5716S Gigabit Ethernet
+	163d  NetXtreme II BCM57811 10-Gigabit Ethernet
+	163e  NetXtreme II BCM57811 10 Gigabit Ethernet Multi Function
+	163f  NetXtreme II BCM57811 10-Gigabit Ethernet Virtual Function
+	1641  NetXtreme BCM57787 Gigabit Ethernet PCIe
+	1642  NetXtreme BCM57764 Gigabit Ethernet PCIe
+	1643  NetXtreme BCM5725 Gigabit Ethernet PCIe
 	1644  NetXtreme BCM5700 Gigabit Ethernet
 		1014 0277  Broadcom Vigil B5700 1000Base-T
 		1028 00d1  Broadcom BCM5700
@@ -12389,6 +14292,7 @@
 		103c 7058  NC532i Dual Port 10GbE Multifunction BL-C Adapter
 	1653  NetXtreme BCM5705 Gigabit Ethernet
 		0e11 00e3  NC7761 Gigabit Server Adapter
+		1734 1073  Primergy Econel 200 D2020 mainboard
 	1654  NetXtreme BCM5705_2 Gigabit Ethernet
 		0e11 00e3  NC7761 Gigabit Server Adapter
 		103c 3100  NC1020 ProLiant Gigabit Server Adapter 32 PCI
@@ -12426,6 +14330,7 @@
 	165f  NetXtreme BCM5720 Gigabit Ethernet PCIe
 	1662  NetXtreme II BCM57712 10 Gigabit Ethernet
 	1663  NetXtreme II BCM57712 10 Gigabit Ethernet Multi Function
+	1665  NetXtreme BCM5717 Gigabit Ethernet PCIe
 	1668  NetXtreme BCM5714 Gigabit Ethernet
 		103c 7039  NC324i PCIe Dual Port Gigabit Server Adapter
 	1669  NetXtreme 5714S Gigabit Ethernet
@@ -12472,9 +14377,13 @@
 	1680  NetXtreme BCM5761e Gigabit Ethernet PCIe
 	1681  NetXtreme BCM5761 Gigabit Ethernet PCIe
 	1682  NetXtreme BCM57762 Gigabit Ethernet PCIe
+	1683  NetXtreme BCM57767 Gigabit Ethernet PCIe
 	1684  NetXtreme BCM5764M Gigabit Ethernet PCIe
 	1685  NetXtreme II BCM57500S Gigabit Ethernet
 	1686  NetXtreme BCM57766 Gigabit Ethernet PCIe
+	1687  NetXtreme BCM5762 Gigabit Ethernet PCIe
+	1688  NetXtreme BCM5761 10/100/1000BASE-T Ethernet
+		1259 2708  AT-2712 FX
 # The Broadcom 57800 device has two 1Gig ports and two 10Gig ports. The subsystem information can be used to differentiate.
 	168a  NetXtreme II BCM57800 1/10 Gigabit Ethernet
 		1028 1f5c  BCM57800 10-Gigabit Ethernet
@@ -12483,6 +14392,7 @@
 		1028 1f68  BCM57800 1-Gigabit Ethernet
 	168d  NetXtreme II BCM57840 10/20 Gigabit Ethernet
 	168e  NetXtreme II BCM57810 10 Gigabit Ethernet
+		103c 1798  Flex-10 10Gb 2-port 530FLB Adapter [Meru]
 	1690  NetXtreme BCM57760 Gigabit Ethernet PCIe
 	1691  NetLink BCM57788 Gigabit Ethernet PCIe
 		1028 04aa  XPS 8300
@@ -12506,6 +14416,9 @@
 		1462 590c  KT6 Delta-FIS2R (MS-6590)
 	169d  NetLink BCM5789 Gigabit Ethernet PCI Express
 	16a0  NetLink BCM5785 Fast Ethernet
+	16a1  BCM57840 NetXtreme II 10 Gigabit Ethernet
+	16a2  BCM57840 NetXtreme II 10/20-Gigabit Ethernet
+	16a4  BCM57840 NetXtreme II Ethernet Multi Function
 # The Broadcom 57800 device has two 1Gig ports and two 10Gig ports. The subsystem information can be used to differentiate.
 	16a5  NetXtreme II BCM57800 1/10 Gigabit Ethernet Multi Function
 		1028 1f5c  NetXtreme II BCM57800 10-Gigabit Ethernet Multi Function
@@ -12573,6 +14486,7 @@
 		14e4 0009  NetXtreme BCM5703 1000Base-T
 		14e4 000a  NetXtreme BCM5703 1000Base-SX
 	16dd  NetLink BCM5781 Gigabit Ethernet PCI Express
+	16f3  NetXtreme BCM5727 Gigabit Ethernet PCIe
 	16f7  NetXtreme BCM5753 Gigabit Ethernet PCI Express
 	16fd  NetXtreme BCM5753M Gigabit Ethernet PCI Express
 		103c 309f  Compaq nx9420 Notebook
@@ -12640,6 +14554,7 @@
 		103c 1372  Broadcom 802.11a/b/g WLAN
 		103c 1373  Broadcom 802.11a/b/g WLAN
 		103c 30b5  Presario V3242AU
+		106b 0089  AirPort Extreme
 		1371 103c  Broadcom 802.11 Multiband-netwerkadapter(6715s)
 	4313  BCM4311 802.11a
 	4315  BCM4312 802.11b/g LP-PHY
@@ -12702,7 +14617,7 @@
 		185f 1220  TravelMate 290E WLAN Mini-PCI Card
 	4321  BCM4321 802.11a Wireless Network Controller
 	4322  BCM4322 802.11bgn Wireless Network Controller
-	4324  BCM4306 802.11a/b/g
+	4324  BCM4309 802.11abg Wireless Network Controller
 		1028 0001  Truemobile 1400
 		1028 0002  TrueMobile 1400 Dual Band WLAN PC Card
 		1028 0003  Truemobile 1450 MiniPCI
